Saltar al contenido principal
GET
/
api
/
v1
/
holidays
/
curl -X GET "https://api.mindosoftware.com/api/v1/holidays/?from=2026-01-01&to=2026-12-31" \
  -H "X-API-Key: mindo_xxxxxxxxxxxxxxxxxxxxxxxx"
[
  {
    "id": 8,
    "company": 12,
    "name": "Año Nuevo",
    "description": "Cerrado todo el día",
    "date": "2026-01-01",
    "branches": [],
    "branchesDetail": [],
    "attentionTarget": "ALL",
    "hasCustomHours": false,
    "startTime": null,
    "finishAt": null,
    "isActive": true,
    "createdAt": "2025-12-10T14:30:00Z",
    "updatedAt": "2025-12-10T14:30:00Z"
  },
  {
    "id": 9,
    "company": 12,
    "name": "Nochebuena",
    "description": "Horario reducido",
    "date": "2026-12-24",
    "branches": [5],
    "branchesDetail": [
      {
        "id": 5,
        "company": 12,
        "name": "Casa Central",
        "address": "Av. Siempre Viva 123, Mar del Plata",
        "phone": "+54 9 223 675-0780",
        "branchType": "PHYSICAL",
        "createdAt": "2025-11-01T10:00:00Z",
        "updatedAt": "2025-11-01T10:00:00Z"
      }
    ],
    "attentionTarget": "BRANCH",
    "hasCustomHours": true,
    "startTime": "09:00:00",
    "finishAt": "13:00:00",
    "isActive": true,
    "createdAt": "2025-12-10T14:35:00Z",
    "updatedAt": "2025-12-10T14:35:00Z"
  }
]

Descripción

Este endpoint devuelve los feriados estipulados del negocio (días de cierre total o de horario reducido). Admite un filtro opcional por rango de fecha mediante los parámetros from y to. Es de solo lectura y está scopeado automáticamente a la empresa de la API Key utilizada.

Header de autenticación

X-API-Key
string
requerido
Tu API Key de Mindo. Formato: mindo_xxxxxxxxxxxxxxxxxxxxxxxx

Parámetros de query

from
string
Fecha desde (formato YYYY-MM-DD, inclusive). Filtra feriados con fecha mayor o igual.
to
string
Fecha hasta (formato YYYY-MM-DD, inclusive). Filtra feriados con fecha menor o igual.

Respuesta

Devuelve un array de feriados.
id
integer
ID interno del feriado.
company
integer
ID de la empresa.
name
string
Nombre del feriado.
description
string
Descripción del feriado.
date
string
Fecha del feriado (formato YYYY-MM-DD).
branches
array
IDs de las sucursales a las que aplica el feriado. Vacío significa que aplica a todas las sucursales.
branchesDetail
array
Detalle de las sucursales a las que aplica el feriado.
attentionTarget
string
A quién aplica el feriado. Valores posibles: VIRTUAL_ATTENTION (atención virtual), BRANCH (sucursal), ALL_BRANCHES (todas las sucursales), ALL (todos).
hasCustomHours
boolean
Si es true, el feriado tiene horario reducido (startTime/finishAt) en lugar de cierre total.
startTime
string
Hora de inicio del horario especial (formato HH:MM:SS). null si no tiene horario especial.
finishAt
string
Hora de fin del horario especial (formato HH:MM:SS). null si no tiene horario especial.
isActive
boolean
Indica si el feriado está activo.
createdAt
string
Fecha de creación (ISO 8601).
updatedAt
string
Fecha de última actualización (ISO 8601).
curl -X GET "https://api.mindosoftware.com/api/v1/holidays/?from=2026-01-01&to=2026-12-31" \
  -H "X-API-Key: mindo_xxxxxxxxxxxxxxxxxxxxxxxx"
[
  {
    "id": 8,
    "company": 12,
    "name": "Año Nuevo",
    "description": "Cerrado todo el día",
    "date": "2026-01-01",
    "branches": [],
    "branchesDetail": [],
    "attentionTarget": "ALL",
    "hasCustomHours": false,
    "startTime": null,
    "finishAt": null,
    "isActive": true,
    "createdAt": "2025-12-10T14:30:00Z",
    "updatedAt": "2025-12-10T14:30:00Z"
  },
  {
    "id": 9,
    "company": 12,
    "name": "Nochebuena",
    "description": "Horario reducido",
    "date": "2026-12-24",
    "branches": [5],
    "branchesDetail": [
      {
        "id": 5,
        "company": 12,
        "name": "Casa Central",
        "address": "Av. Siempre Viva 123, Mar del Plata",
        "phone": "+54 9 223 675-0780",
        "branchType": "PHYSICAL",
        "createdAt": "2025-11-01T10:00:00Z",
        "updatedAt": "2025-11-01T10:00:00Z"
      }
    ],
    "attentionTarget": "BRANCH",
    "hasCustomHours": true,
    "startTime": "09:00:00",
    "finishAt": "13:00:00",
    "isActive": true,
    "createdAt": "2025-12-10T14:35:00Z",
    "updatedAt": "2025-12-10T14:35:00Z"
  }
]